INTERFACE
SUBROUTINE JGHCOR(LDTOUQ,PSP3D,PSP2D,KSPSTA,KSPEND,KVALUE)
USE PARKIND1 ,ONLY : JPIM ,JPRB
LOGICAL ,INTENT(IN) :: LDTOUQ
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP3D(:,:,:)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP2D(:,:)
INTEGER(KIND=JPIM),INTENT(IN) :: KSPSTA
INTEGER(KIND=JPIM),INTENT(IN) :: KSPEND
INTEGER(KIND=JPIM),INTENT(IN) :: KVALUE(:)
END SUBROUTINE JGHCOR
END INTERFACE
